const { SlashCommandBuilder, EmbedBuilder, Client } = require("discord.js");
const { __glob } = require("../modules/global-variables");
const { LogType } = require("../modules/sub-log");
const { List } = require("../modules/sub-list");
const subplayer = require(__glob.SUBPLAYER);
const packageJson = require(__glob.PACKAGE);

module.exports = {

    data: new SlashCommandBuilder()
    .setName("report")
    .setDescription("[NEW] Donne le lien vers le panel !")
    .addStringOption(option => option.setName("level").setDescription("Niveau du report").setRequired(true).addChoices(
        {name: "Urgent", value: "urgent"},
        {name: "Mineur", value: "minor"}
    )).addStringOption(option => option.setName("desc").setDescription("Description du bug").setRequired(true)),

    async execute(client, interaction) {

        const level = interaction.options.getString("level")
        const desc = interaction.options.getString("desc")

        var embed = new EmbedBuilder()
        .setTitle('Report de ' + interaction.member.user.username )
        .setDescription('**Version **' + packageJson.version)
        .setTimestamp();


        var levelString = null

        if(level == "urgent") {

            levelString = "Urgent"
            embed.setColor(0xc20f02)
        } else {

            levelString = "Mineur"
            embed.setColor(0xdcff17)
        }

        embed.addFields({name: "Niveau", value: levelString},{name: "Description", value: desc})

        const channel = await client.channels.fetch('1102177962817749033')

        channel.send({embeds: [embed]})
        channel.send({content: "<@486943594893017119>"})

        const membed = new EmbedBuilder()
        .setColor(0x00ff66)
        .setTitle('Rapport de Bug envoyé !')
       
        interaction.reply({embeds: [membed]})

        
    }   

}