var express = require('express');
var router = express.Router();
var path = require("path")
var auth = require("../../modules/sub-auth")
var log = require("../../modules/sub-log")
var uuid = require("uuid")


router.get('/', function(req, res, next) {

    if(auth.checkUser(req.cookies.token)) {

        res.redirect("/")
    } else {

        if(!auth.getSession(req.cookies.session)) {

            const session = uuid.v4().toString()
            auth.saveSession(session)
            res.cookie("session", session)
           
        }
 
        res.render("login")
    }
  
});

module.exports = router;